Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005199OCamlOCaml generalpublic2010-12-20 12:052013-08-31 12:48
Reporteris 
Assigned Toxclerc 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.12.0 
Target VersionFixed in Version 
Summary0005199: The self-tests should be able to run, byte-code-only, on byte-code-only machines
DescriptionA lot of self-tests are run by the driving infrastructure first by
ocamlc, then by ocamlopt.

There seems to be no easy way to run all applicable tests byte-code-only. A
generic way would be to provide ocamlopt-free testsuite/makefiles/Makefile.* variants.
TagsNo tags attached.
Attached Filespatch file icon 0026-Fix-tests-on-bytecode-only-architectures.patch [^] (1,335 bytes) 2012-02-21 16:00 [Show Content]

- Relationships

-  Notes
(0006008)
xclerc (developer)
2011-06-15 11:48

I am a bit puzzled by the patches attached to this issues.
Doesn't belong to another issue?
(0006009)
is (reporter)
2011-06-15 13:48

You're right. The patches belong to 0005200. I misclicked, and didn't find a way to detach that patch archive from 0005199.
(0006010)
xclerc (developer)
2011-06-15 13:55

Just done so, thanks for the quick confirmation.
(0006950)
glondu (reporter)
2012-02-21 11:10

Could you fix this in the 3.12 branch as well, please?
(0006951)
glondu (reporter)
2012-02-21 15:08
edited on: 2012-02-21 15:08

Actually, even with current trunk, the test-suite still fails on bytecode-only machines.

(0006952)
glondu (reporter)
2012-02-21 16:00

Fix attached.

- Issue History
Date Modified Username Field Change
2010-12-20 12:05 is New Issue
2010-12-20 12:21 is File Added: thumbless.shar
2011-05-17 16:51 doligez Status new => acknowledged
2011-06-15 11:45 xclerc Status acknowledged => assigned
2011-06-15 11:45 xclerc Assigned To => xclerc
2011-06-15 11:48 xclerc Note Added: 0006008
2011-06-15 13:48 is Note Added: 0006009
2011-06-15 13:55 xclerc File Deleted: thumbless.shar
2011-06-15 13:55 xclerc Note Added: 0006010
2012-01-18 10:51 xclerc Status assigned => resolved
2012-01-18 10:51 xclerc Resolution open => fixed
2012-02-21 11:10 glondu Note Added: 0006950
2012-02-21 15:08 glondu Note Added: 0006951
2012-02-21 15:08 glondu Note Edited: 0006951 View Revisions
2012-02-21 16:00 glondu Note Added: 0006952
2012-02-21 16:00 glondu File Added: 0026-Fix-tests-on-bytecode-only-architectures.patch
2013-08-31 12:48 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker